SubHitBuilder (BioJava Demos API)
Keywords: ssbind.SubHitBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ssbind
Class SubHitBuilder

    java.lang.Object
      org.biojava.bio.search.SearchContentFilter
          ssbind.SubHitBuilder

All Implemented Interfaces:
  org.biojava.bio.search.SearchContentHandler

    public class SubHitBuilder

extends org.biojava.bio.search.SearchContentFilter

Build SeqSimilaritySearchSubHit instances from the sub hit info. Note: You must have an AlignmentBuilder in the chain before this handler

This will consume all the information necessary to build a SeqSimilaritySearchSubHit instance and then emit one under the key SubHitBuilder.SEARCH_SUB_HIT to the next handler in the chain.

Author:
  Matthew Pocock

Field Summary
`static Object` | `SEARCH_SUB_HIT`

Constructor Summary
`SubHitBuilder(org.biojava.bio.search.SearchContentHandler delegate)`

Method Summary
`void` | `addSubHitProperty(Object key, Object val)`
`void` | `endSubHit()`
`void` | `startSubHit()`

Methods inherited from class org.biojava.bio.search.SearchContentFilter
`addHitProperty, addSearchProperty, endHeader, endHit, endSearch, getMoreSearches, setDatabaseID, setMoreSearches, setQueryID, startHeader, startHit, startSearch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEARCH_SUB_HIT

    public static final Object SEARCH_SUB_HIT

Constructor Detail

### SubHitBuilder

    public SubHitBuilder(org.biojava.bio.search.SearchContentHandler delegate)

Method Detail

### startSubHit

    public void startSubHit()

  Specified by:
    `startSubHit` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `startSubHit` in class `org.biojava.bio.search.SearchContentFilter`

### addSubHitProperty

    public void addSubHitProperty(Object key,
                                  Object val)

  Specified by:
    `addSubHitProperty` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `addSubHitProperty` in class `org.biojava.bio.search.SearchContentFilter`

### endSubHit

    public void endSubHit()

  Specified by:
    `endSubHit` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `endSubHit` in class `org.biojava.bio.search.SearchContentFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD